#!/bin/sh

./clean.sh

echo Compiling the resident part...
tigcc -O3 -W -Wall -outputbin -o tempfile.z89 hook.c comm.c main.c

echo Building array.h...
ttbin2hex -a tsr -ss 2 -se 1 tempfile.z89 array.h > /dev/null

echo Compiling the installer...
tigcc -Os -W -Wall -mpcrel -fomit-frame-pointer kdriver.c h220xtsr.a

rm -f tempfile.bin
